Bio::SeqFeature::Gene::Intron(3)

NAME
Bio::SeqFeature::Gene::Intron - An intron feature

SYNOPSIS
Give standard usage here

DESCRIPTION
Describe the object here

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.open-bio.org/

AUTHOR - David Block
Email dblock@gene.pbi.nrc.ca

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  upstream_Exon
  Title   : upstream_Exon
  Usage   : $intron->upstream_Exon()
  Function: exon upstream of the intron
  Returns : Bio::EnsEMBL::Exon
  Args    :

  downstream_Exon
  Title   : downstream_Exon
  Usage   : $intron->downstream_Exon()
  Function: exon downstream of the intron
  Returns : Bio::EnsEMBL::Exon
  Args    :

  phase
  Title   : phase
  Usage   : $intron->phase()
  Function: returns the phase of the intron(where it interrupts the codon)
  Returns : int(0,1,2)
  Args    :

  acceptor_splice_site
  Title   : acceptor_splice_site
  Usage   : $intron->acceptor_splice_site(21,3)
  Function: returns the sequence corresponding to the
            consensus acceptor splice site. If start and
            end are provided, it will number of base pairs
            left and right of the canonical AG. Here 21 means
            21 bp into intron and 3 means 3 bp into the exon.
            --Intron--21----|AG|-3-----Exon
            Defaults to 21,3

  Returns : Bio::Seq
  Args    : start and end

  donor_splice_site
  Title   : donor_splice_site
  Usage   : $intron->donor_splice_site(3,6)
  Function: returns the sequence corresponding to the
            consensus donor splice site. If start and
            end are provided, it will number of base pairs
            left and right of the canonical GT. Here 3 means
            3 bp into exon and 6 means 6 bp into the intron.
            --Exon-3--|GT|-6----Intron-
            Defaults to 3,6

  Returns : Bio::Seq
  Args    : start and end